> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getWorkspaceMember

> Get details of the account authenticating with this endpoint.



## OpenAPI

````yaml /admin-openapi.json get /v1/admin/workspace-members/me
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/workspace-members/me:
    get:
      tags:
        - Endpoints
      description: Get details of the account authenticating with this endpoint.
      operationId: getWorkspaceMember
      parameters:
        - name: x-workspace-id
          in: header
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/getWorkspaceMemberResponse'
        default:
          $ref: '#/components/responses/getWorkspaceMemberResponse'
components:
  responses:
    getWorkspaceMemberResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              id:
                type: string
              userId:
                type: string
                format: uuid
              email:
                type: string
              createdAt:
                type: string
              role:
                type: string
                enum:
                  - viewer
                  - billing
                  - developer
                  - manager
                  - administrator
                  - owner
              profilePicture:
                type: string
              displayName:
                type: string
                maxLength: 100
            required:
              - id
              - email
              - createdAt
              - role
            title: getWorkspaceMemberResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````